cURL
curl --request POST \
--url https://us.infisical.com/api/v2/secret-imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"environment": "<string>",
"import": {
"environment": "<string>",
"path": "<string>",
"sourceProjectId": "<string>"
},
"path": "/",
"isReplication": false
}
'import requests
url = "https://us.infisical.com/api/v2/secret-imports"
payload = {
"projectId": "<string>",
"environment": "<string>",
"import": {
"environment": "<string>",
"path": "<string>",
"sourceProjectId": "<string>"
},
"path": "/",
"isReplication": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
environment: '<string>',
import: {environment: '<string>', path: '<string>', sourceProjectId: '<string>'},
path: '/',
isReplication: false
})
};
fetch('https://us.infisical.com/api/v2/secret-imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"secretImport": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"importPath": "<string>",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"importEnv": {
"name": "<string>",
"slug": "<string>",
"id": "<string>"
},
"version": 1,
"isReplication": false,
"isReplicationSuccess": true,
"replicationStatus": "<string>",
"lastReplicated": "2023-11-07T05:31:56Z",
"isReserved": false
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Secret Imports
Create
Create secret imports
POST
/
api
/
v2
/
secret-imports
cURL
Authorizations
An access token in Infisical
Body
application/json
The ID of the project you are working in.
The slug of the environment to import into.
Show child attributes
Show child attributes
The path to import into.
When true, secrets from the source will be automatically sent to the destination. If approval policies exist at the destination, the secrets will be sent as approval requests instead of being applied immediately.
Was this page helpful?
⌘I